Loading...
Searching...
No Matches
Opm::ParkerLenhardParams< TraitsT > Class Template Reference

Default parameter class for the Parker-Lenhard hysteresis model. More...

`#include <ParkerLenhardParams.hpp>`

Inheritance diagram for Opm::ParkerLenhardParams< TraitsT >:

## Public Types

using | Scalar = typename TraitsT::Scalar
using | VanGenuchten = RegularizedVanGenuchten<TraitsT>
using | VanGenuchtenParams = typename VanGenuchten::Params
using | ScanningCurve = PLScanningCurve<Scalar>

## Public Member Functions

| ParkerLenhardParams (const ParkerLenhardParams &p)
ParkerLenhardParams & | operator= (const ParkerLenhardParams &)=delete
const VanGenuchtenParams & | micParams () const
| Returns the parameters of the main imbibition curve (which uses the van Genuchten capillary pressure model).
void | setMicParams (const VanGenuchtenParams *val)
| Sets the parameters of the main imbibition curve (which uses the van Genuchten capillary pressure model).
const VanGenuchtenParams & | mdcParams () const
| Returns the parameters of the main drainage curve (which uses the van Genuchten capillary pressure model).
void | setMdcParams (const VanGenuchtenParams *val)
| Sets the parameters of the main drainage curve (which uses the van Genuchten capillary pressure model).
Scalar | Snr () const
| Returns non-wetting phase residual saturation.
void | setSnr (Scalar val)
| Set the non-wetting phase residual saturation.
Scalar | SwrPc () const
| Returns wetting phase residual saturation for the capillary pressure curve.
Scalar | SwrKr () const
| Returns wetting phase residual saturation for the residual saturation curves.
void | setSwr (Scalar pcSwr, Scalar krSwr=-1)
| Set the wetting phase residual saturation for the capillary pressure and the relative permeabilities.
Scalar | currentSnr () const
| Returns the current effective residual saturation.
void | setCurrentSnr (Scalar val)
| Set the current effective residual saturation.
ScanningCurve * | mdc () const
| Returns the main drainage curve.
void | setMdc (ScanningCurve *val)
| Set the main drainage curve.
ScanningCurve * | pisc () const
| Returns the primary imbibition scanning curve.
void | setPisc (ScanningCurve *val)
| Set the primary imbibition scanning curve.
ScanningCurve * | csc () const
| Returns the current scanning curve.
void | setCsc (ScanningCurve *val)
| Set the current scanning curve.
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class TraitsT>
class Opm::ParkerLenhardParams< TraitsT >

Default parameter class for the Parker-Lenhard hysteresis model.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/ParkerLenhardParams.hpp